## ros-noetic-dingo-description 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dingo_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY meshes launch urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/env_run
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/description.launch)
endif()

=== debian/changelog ===
ros-noetic-dingo-description (0.3.0-1buster) buster; urgency=high

  * Change Microstrain IMU default parent link from imu_link to base_link
  * Contributors: Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Jan 2023 05:00:00 -0000

ros-noetic-dingo-description (0.2.0-1buster) buster; urgency=high

  * Customizable PACS riser heights
  * Added Flir Blackfly
  * Updated Realsense comments and include parameter
  * Fixed typo in material name
  * Added secondary realsense
  * Added README with all URDF environment variables
  * Force upper case for environment variables (#21 <https://github.com/dingo-cpr/dingo/issues/21>)
    * Added PACS
    * Changed enable envvar name
    * Added EOL
    * All caps for envvars
  * Added PACS (#20 <https://github.com/dingo-cpr/dingo/issues/20>)
    * Added PACS
    * Changed enable envvar name
    * Added EOL
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-noetic-dingo-description (0.1.11-1buster) buster; urgency=high

  * Added Velodyne HDL32E and Microstrain GX5
  * Updated URDF to disable mount
  * Update VLP16 with disable tower and set angle on mount
  * Add Velodyne HDL32e URDF and meshes
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-dingo-description (0.1.10-1buster) buster; urgency=high

  * Add missing "xacro:" infront of "include"
  * Contributors: Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-noetic-dingo-description (0.1.9-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-noetic-dingo-description (0.1.8-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 11 May 2021 04:00:00 -0000

ros-noetic-dingo-description (0.1.7-1buster) buster; urgency=high

  * Add env var support for VLP-16 (#10 <https://github.com/dingo-cpr/dingo/issues/10>)
    * Add support for the VLP16 as a standard laser sensor on this platform
    * Add vlp16 to the comment block explaining supported laser scanners
    * Add the 3D and secondary 2D lidars
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-dingo-description (0.1.6-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-noetic-dingo-description (0.1.5-1buster) buster; urgency=high

  * Fix the mount links for Dingo-D and Dingo-O; -D doesn't technically have a mid_mount (#9 <https://github.com/dingo-cpr/dingo/issues/9>)
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.4-1buster) buster; urgency=high

  * [dingo_description] Switched description.launch to use single Dingo URDF which then determines which file should be loaded.
  * Add a generic dingo.urdf.xacro (#8 <https://github.com/dingo-cpr/dingo/issues/8>)
    * Add a generic dingo.urdf.xacro which will include dingo-d or dingo-o as-needed. This simplifies adding support for manipulators to the robot
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.3-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.2-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.1-1buster) buster; urgency=high

  * Disable gravity on the L515 links; they were causing the odom frame to drift in gazebo
  * Nav improvements (#5 <https://github.com/dingo-cpr/dingo/issues/5>)
    * Expose the scan_topic argument in the gmapping_demo and amcl_demo launch files
    * Add placeholder support for the RS L515 and D455 so that the gazebo plugins work; the meshes for these sensors don't exist yet, but we can at least get the plugin configured & add the appropriate links for now
    * Refactor the RealSense macro to put the mesh + gazebo plugin in one place. Create a more-accurate L515 mesh out of cylinders until Intel releases an official mesh for the sensor
  * Fix missing quotes around the lidar models
  * Model Update (#3 <https://github.com/dingo-cpr/dingo/issues/3>)
    * Make the yellow of the chassis more yellow and less orange
    * Fix the spawn position of the Hokuyo lidar & its focal point. Add the STLs for the LMS-1xx & Hokuyo lidars.  Add lms1xx as a dependency so that the lidar macro is available.
    * Add additional mounting points for accessories, fix the position of the existing front_mount
    * Start adding support for the Intel RealSense cameras as out-of-the-box accessories
    * Update the dependencies
    * Remove the hector gazebo plugin dependency; it's included in dingo_gazebo, and isn't strictly needed in the description package
    * Refactor the lidar accessory variables, add clarifying comments to make it easier to find supported values for the sensor models
    * Fix the measurements.  Keep the front/rear mounts 5cm back from the bumpers, move the bumper mounts to the center of the bumper
    * Remove the rear_bumper_mount since that's where the HMI is, which would prevent anything from being reasonably mounted there
  * [dingo_description] Switched to find over dirname since it was causing errors in tests.
  * Fix the spawn position of the Hokuyo lidar & its focal point. Add the STLs for the LMS-1xx & Hokuyo lidars.  Add lms1xx as a dependency so that the lidar macro is available.
  * Contributors: Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 14 Sep 2020 04:00:00 -0000



=== debian/control ===
Source: ros-noetic-dingo-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-robot-state-publisher, ros-noetic-urdf, ros-noetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-dingo-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-robot-state-publisher, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: The dingo_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-dingo-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-dingo-description 0.3.1

=== debian/changelog ===
ros-noetic-dingo-description (0.3.1-2focal) focal; urgency=high

  * Adding Sick TIM551 lidar
  * Standard mounting locations persist in PACS
  * Update README.md
  * Update README
  * Contributors: Hilary Luo, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 20 Apr 2023 04:00:00 -0000

ros-noetic-dingo-description (0.3.0-2focal) focal; urgency=high

  * Change Microstrain IMU default parent link from imu_link to base_link
  * Contributors: Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Jan 2023 05:00:00 -0000

ros-noetic-dingo-description (0.2.0-2focal) focal; urgency=high

  * Customizable PACS riser heights
  * Added Flir Blackfly
  * Updated Realsense comments and include parameter
  * Fixed typo in material name
  * Added secondary realsense
  * Added README with all URDF environment variables
  * Force upper case for environment variables (#21 <https://github.com/dingo-cpr/dingo/issues/21>)
    * Added PACS
    * Changed enable envvar name
    * Added EOL
    * All caps for envvars
  * Added PACS (#20 <https://github.com/dingo-cpr/dingo/issues/20>)
    * Added PACS
    * Changed enable envvar name
    * Added EOL
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-noetic-dingo-description (0.1.11-2focal) focal; urgency=high

  * Added Velodyne HDL32E and Microstrain GX5
  * Updated URDF to disable mount
  * Update VLP16 with disable tower and set angle on mount
  * Add Velodyne HDL32e URDF and meshes
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-dingo-description (0.1.10-2focal) focal; urgency=high

  * Add missing "xacro:" infront of "include"
  * Contributors: Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-noetic-dingo-description (0.1.9-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-noetic-dingo-description (0.1.8-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 11 May 2021 04:00:00 -0000

ros-noetic-dingo-description (0.1.7-2focal) focal; urgency=high

  * Add env var support for VLP-16 (#10 <https://github.com/dingo-cpr/dingo/issues/10>)
    * Add support for the VLP16 as a standard laser sensor on this platform
    * Add vlp16 to the comment block explaining supported laser scanners
    * Add the 3D and secondary 2D lidars
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-dingo-description (0.1.6-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-noetic-dingo-description (0.1.5-2focal) focal; urgency=high

  * Fix the mount links for Dingo-D and Dingo-O; -D doesn't technically have a mid_mount (#9 <https://github.com/dingo-cpr/dingo/issues/9>)
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.4-2focal) focal; urgency=high

  * [dingo_description] Switched description.launch to use single Dingo URDF which then determines which file should be loaded.
  * Add a generic dingo.urdf.xacro (#8 <https://github.com/dingo-cpr/dingo/issues/8>)
    * Add a generic dingo.urdf.xacro which will include dingo-d or dingo-o as-needed. This simplifies adding support for manipulators to the robot
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.3-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.2-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-noetic-dingo-description (0.1.1-2focal) focal; urgency=high

  * Disable gravity on the L515 links; they were causing the odom frame to drift in gazebo
  * Nav improvements (#5 <https://github.com/dingo-cpr/dingo/issues/5>)
    * Expose the scan_topic argument in the gmapping_demo and amcl_demo launch files
    * Add placeholder support for the RS L515 and D455 so that the gazebo plugins work; the meshes for these sensors don't exist yet, but we can at least get the plugin configured & add the appropriate links for now
    * Refactor the RealSense macro to put the mesh + gazebo plugin in one place. Create a more-accurate L515 mesh out of cylinders until Intel releases an official mesh for the sensor
  * Fix missing quotes around the lidar models
  * Model Update (#3 <https://github.com/dingo-cpr/dingo/issues/3>)
    * Make the yellow of the chassis more yellow and less orange
    * Fix the spawn position of the Hokuyo lidar & its focal point. Add the STLs for the LMS-1xx & Hokuyo lidars.  Add lms1xx as a dependency so that the lidar macro is available.
    * Add additional mounting points for accessories, fix the position of the existing front_mount
    * Start adding support for the Intel RealSense cameras as out-of-the-box accessories
    * Update the dependencies
    * Remove the hector gazebo plugin dependency; it's included in dingo_gazebo, and isn't strictly needed in the description package
    * Refactor the lidar accessory variables, add clarifying comments to make it easier to find supported values for the sensor models
    * Fix the measurements.  Keep the front/rear mounts 5cm back from the bumpers, move the bumper mounts to the center of the bumper
    * Remove the rear_bumper_mount since that's where the HMI is, which would prevent anything from being reasonably mounted there
  * [dingo_description] Switched to find over dirname since it was causing errors in tests.


=== debian/control ===
Source: ros-noetic-dingo-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-robot-state-publisher, ros-noetic-urdf, ros-noetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-dingo-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-robot-state-publisher, ros-noetic-sick-tim, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: The dingo_description package
